Module
Contents
Index 🔎︎

# StrComp Function

Jämför två strängar och returnerar ett heltalsvärde som representerar jämförelsens resultat.

## Syntax:

    StrComp (Text1 As String, Text2 As String[, Jämför])

## Returvärde:

Integer

## Parameter:

Text1: Ett stränguttryck

Text2: Ett stränguttryck

Jämför: Valfri parameter som anger jämförelsemetod. Om Jämför = 1, är strängjämförelsen versalkänslig. Om Jämför = 0, görs ingen skillnad mellan stora och små bokstäver.

### Returvärde

- Om Text1 < Text2 returnerar funktionen -1

- Om Text1 = Text2 returnerar funktionen 0

- Om Text1 > Text2 returnerar funktionen 1

## Error codes:

5 Felaktigt proceduranrop

## Exempel:

    Sub ExampleStrComp

    Dim iVar As Single

    Dim sVar As String

        iVar = 123.123

        sVar = Str$(iVar)

        MsgBox strcomp(sVar , Str$(iVar),1)

    End Sub